package daruma.storage_manager.schema;

import org.w3c.dom.Element;
import daruma.xml.URI;

public class AnnotationElementChecker
{
	private	AnnotationElementChecker()
	{
	}

	public static boolean  isXMLSchemaAnnotationElement( Element  element )
	{
		return( element.getNamespaceURI() != null
		     && element.getNamespaceURI().equals( URI.XML_SCHEMA )
		     && element.getLocalName().equals( "annotation" ) );
	}

	public static void  validateAnnotation( Element  element )
					throws XMLSchemaParserException
	{
		// XXX: no checks
	}
}
